org.keycloak.protocol.saml

## Class EntityDescriptorImporterService

- java.lang.Object
- - org.keycloak.protocol.saml.EntityDescriptorImporterService

-     public class EntityDescriptorImporterService
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RealmAuth` | `auth`
    `protected RealmModel` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityDescriptorImporterService(RealmModel realm, RealmAuth auth)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getLogoutLocation(org.picketlink.identity.federation.saml.v2.metadata.SPSSODescriptorType idp, String bindingURI)`
    `static void` | `loadEntityDescriptors(InputStream is, RealmModel realm)`
    `void` | `updateEntityDescriptor(javax.ws.rs.core.UriInfo uriInfo, org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInput input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmModel realm

    - #### auth

          protected RealmAuth auth

  - ### Constructor Detail

    - #### EntityDescriptorImporterService

          public EntityDescriptorImporterService(RealmModel realm,
                                         RealmAuth auth)

  - ### Method Detail

    - #### updateEntityDescriptor

          @POST
          @Path(value="upload")
          @Consumes(value="multipart/form-data")
          public void updateEntityDescriptor(@Context
                                                       javax.ws.rs.core.UriInfo uriInfo,
                                                       org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInput input)
                                      throws IOException

      Throws:
        `IOException`

    - #### loadEntityDescriptors

          public static void loadEntityDescriptors(InputStream is,
                                   RealmModel realm)

    - #### getLogoutLocation

          public static String getLogoutLocation(org.picketlink.identity.federation.saml.v2.metadata.SPSSODescriptorType idp,
                                 String bindingURI)

Copyright © 2015. All Rights Reserved.